Uses of Class
io.vertx.reactivex.openapi.validation.ValidatableRequest
Packages that use ValidatableRequest
-
Uses of ValidatableRequest in io.vertx.reactivex.ext.web.openapi.router
Methods in io.vertx.reactivex.ext.web.openapi.router that return types with arguments of type ValidatableRequestModifier and TypeMethodDescriptionRequestExtractor.extractValidatableRequest(RoutingContext routingContext, Operation operation) Extracts and transforms the parameters and the body of an incoming request into a that can be validated by theRequestValidator.RequestExtractor.rxExtractValidatableRequest(RoutingContext routingContext, Operation operation) Extracts and transforms the parameters and the body of an incoming request into a that can be validated by theRequestValidator. -
Uses of ValidatableRequest in io.vertx.reactivex.openapi.validation
Fields in io.vertx.reactivex.openapi.validation with type parameters of type ValidatableRequestModifier and TypeFieldDescriptionstatic final io.vertx.lang.rx.TypeArg<ValidatableRequest> ValidatableRequest.__TYPE_ARGMethods in io.vertx.reactivex.openapi.validation that return ValidatableRequestModifier and TypeMethodDescriptionstatic ValidatableRequestValidatableRequest.newInstance(ValidatableRequest arg) Methods in io.vertx.reactivex.openapi.validation that return types with arguments of type ValidatableRequestModifier and TypeMethodDescriptionstatic Future<ValidatableRequest> ValidatableRequest.of(HttpServerRequest request, Operation operation) Creates a newValidatableRequestobject based on the passed and .static Single<ValidatableRequest> ValidatableRequest.rxOf(HttpServerRequest request, Operation operation) Creates a newValidatableRequestobject based on the passed and .Methods in io.vertx.reactivex.openapi.validation with parameters of type ValidatableRequestModifier and TypeMethodDescriptionRequestValidator.rxValidate(ValidatableRequest params, String operationId) Validates the passed request parameters against the operation defined in the related OpenAPI contract.RequestValidator.validate(ValidatableRequest params, String operationId) Validates the passed request parameters against the operation defined in the related OpenAPI contract.